#
# spec file for package pulseview
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pulseview
Version:        0.2.0
Release:        4.3
Summary:        Qt-based GUI for sigrok
License:        GPL-3.0+
Group:          Productivity/Scientific/Electronics
Url:            http://sigrok.org
Source0:        http://sigrok.org/download/source/pulseview/%{name}-%{version}.tar.gz
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  glib2-devel
BuildRequires:  libqt4-devel
BuildRequires:  libsigrok-devel >= 0.3.0
BuildRequires:  libsigrokdecode-devel >= 0.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source logic analyzer software that supports various
logic analyzer hardware products.

PulseView is a Qt-based GUI for sigrok.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -fpermissive"
%cmake -DDISABLE_WERROR=TRUE ..
make %{?_smp_mflags}

%install
%cmake_install
find %{buildroot} -type f -name "*.la" -delete -print

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README HACKING
%{_bindir}/*
%{_mandir}/man1/pulseview.*

%changelog
* Sun Aug  3 2014 dmitry_r@opensuse.org
- Remove redefined cmake macros
* Mon Jun  2 2014 bugs@vdm-design.de
- Sync .spec with the one from rmax
* Fri May 30 2014 bugs@vdm-design.de
- Update to version 0.2.0
  * Support for protocol decoding (via libsigrokdecode) has been added, including support for annotation rows, multiple decoders in the same GUI window, support for stacking protocol decoders (e.g. I²C -> RTC8564, UART -> MIDI, or SPI -> SDcard) and lots more.
  * Support for loading and saving sigrok session (*.sr) files has been added.
  * Initial support for analog data sources (specifically oscilloscopes, e.g. the Rigol DS1052E) has been added.
* Tue Jan 29 2013 max@suse.com
- Upstream adopted pulseview-pthread.patch
- Disable -Werror to fix build.
* Thu Jan 17 2013 max@suse.com
- Explicitly link against libpthread (pulseview-pthread.patch).
* Wed Jan 16 2013 max@suse.com
- Initial build from git snapshot.
